Bug 88565 - C program compiled as C++
C program compiled as C++
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vconfig (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-10 18:28 EDT by Piepho, Trent
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 10:29:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piepho, Trent 2003-04-10 18:28:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021203

Description of problem:
The vconfig utility is a simple program written in C, but the non-automake build
system compiles it with g++ (for no reason).  This gives the program a
dependency on the libstdc++, one that it doesn't need.  It also makes it hard to
run the program from a thin-client or rescue mode situation where the c++
runtime might not be available or the correct version. Fixing this is as simple
as adding CC=gcc to the make command in the %build section of the spec file.  Or
editing the MakeInclues file to specify the correct compiler.

Version-Release number of selected component (if applicable):
vconfig-1.6-2

How reproducible:
Always

Steps to Reproduce:
1. uhh, build rpm?
Comment 1 Phil Knirsch 2004-08-04 10:29:35 EDT
I've just checked, it already compiles correctly in FC1 and later.

I'm therefore closing it as fixed in currentrelease.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.